package com.example.aprendiendocoreano;



import android.app.TabActivity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.LinearLayout.LayoutParams;
import android.widget.TabHost;
import android.widget.TabHost.OnTabChangeListener;
import android.widget.TextView;

public class MainActivity extends TabActivity {

    // 1.0 ocupa la pantalla completa. Com necessitem 4 pestanyes,
	// 1.0/4 = 0.25 
    private static final LayoutParams params = new LinearLayout.LayoutParams(
            LayoutParams.MATCH_PARENT, LayoutParams.WRAP_CONTENT, 0.25f);

    private static TabHost tabHost;
    private static TabHost.TabSpec spec;
    private static Intent intent;
    private static LayoutInflater inflater;

    private View tab;
    private TextView label;
    private TextView divider;
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        // per crear l'aspecte personalitzat de les pestanyes
        inflater = (LayoutInflater) getSystemService(Context.LAYOUT_INFLATER_SERVICE); 

        tabHost = getTabHost();
        
        // Pestanya Inicio
        tab = inflater.inflate(R.layout.tab, getTabWidget(), false);
        tab.setLayoutParams(params);       
        label = (TextView) tab.findViewById(R.id.tabLabel); // Afegint els títols 
        label.setText("Inicio");							//de les pestanyes
        divider = (TextView) tab.findViewById(R.id.tabSelectedDivider); //mostrar una linea més gruixuda a la pestanya sleccionada
        divider.setVisibility(View.VISIBLE);							//la linea inferior es major perquè aquesta pestanya esta seleccionada
        intent = new Intent().setClass(this, Inicio.class);
        spec = tabHost.newTabSpec("inicio").setIndicator(tab).setContent(intent);
        tabHost.addTab(spec);
        
        
        // Afegint la segona pestanya (Lecciones)
        tab = inflater.inflate(R.layout.tab, getTabWidget(), false);
        tab.setLayoutParams(params);
        label = (TextView) tab.findViewById(R.id.tabLabel);
        label.setText("Lecciones");
        intent = new Intent().setClass(this, ListaLecciones.class);
        spec = tabHost.newTabSpec("lecciones").setIndicator(tab).setContent(intent);
        tabHost.addTab(spec);
        
        // Pestanya Flashcards
        tab = inflater.inflate(R.layout.tab, getTabWidget(), false);
        tab.setLayoutParams(params);
        label = (TextView) tab.findViewById(R.id.tabLabel);
        label.setText("Flashcards");
        intent = new Intent().setClass(this, ListaFlash.class);
        spec = tabHost.newTabSpec("flash").setIndicator(tab).setContent(intent);
        tabHost.addTab(spec);
        
        // Pestanya Información
        tab = inflater.inflate(R.layout.tab, getTabWidget(), false);
        tab.setLayoutParams(params);
        label = (TextView) tab.findViewById(R.id.tabLabel);
        label.setText("Información");
        intent = new Intent().setClass(this, Info.class);
        spec = tabHost.newTabSpec("info").setIndicator(tab).setContent(intent);
        tabHost.addTab(spec);
        

        
        
        // Listener per detectar quan es selecciona una nova pestanya
        tabHost.setOnTabChangedListener(new OnTabChangeListener() {
            @Override
            public void onTabChanged(String tag) {
                clearTabStyles(); //neteja l'estil de tote sles pestanyes perque totes quedin com deseleccionades
                View tabView = null;
                if (tag.equals("inicio")) {
                    tabView = getTabWidget().getChildAt(0);
                }else if (tag.equals("lecciones")) {
                    tabView = getTabWidget().getChildAt(1);
                }else if (tag.equals("flash")) {
                    tabView = getTabWidget().getChildAt(2);
                }
                else if (tag.equals("info")) {
                    tabView = getTabWidget().getChildAt(3);
                }
                tabView.findViewById(R.id.tabSelectedDivider).setVisibility(View.VISIBLE);
            }       
        });
    }
    
    //oculta la barra inferior de totes les pestanyes, és a dir, la pestanya previament seleccionada
    //té una barra més gruixuda indicant, la selecció, aquest métode l'oculta.
    private void clearTabStyles() {
        for (int i = 0; i < getTabWidget().getChildCount(); i++) {
            tab = getTabWidget().getChildAt(i);
            tab.findViewById(R.id.tabSelectedDivider).setVisibility(View.GONE);
        }
    }
}
