package com.example.aprendiendocoreano;

import android.content.Context;
import android.support.v4.view.PagerAdapter;
import android.support.v4.view.ViewPager;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.RelativeLayout;
import android.widget.TextView;

 
public class ViewPagerAdaptador extends PagerAdapter {

    Context context;
    String[] palabraE;
    String[] palabraC;
    String[] interrogantes;
    LayoutInflater inflater;
 
    public ViewPagerAdaptador(Context context, String[] palabraE, String[] palabraC, String[] interrogantes) {
        this.context = context;
        this.palabraE = palabraE;
        this.palabraC = palabraC;
        this.interrogantes = interrogantes;

    }
 
    @Override
    public int getCount() {
        return palabraE.length;
    }
 
    @Override
    public boolean isViewFromObject(View view, Object object) {
        return view == ((RelativeLayout) object);
    }
 
    @Override
    public Object instantiateItem(final ViewGroup container, int position) {
 
        TextView textoEsp;
        final TextView textoCor;
        final TextView interrog;

 
        inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        View itemView = inflater.inflate(R.layout.viewpage_elemento, container, false);
 
        // inicialitzem els textViews
        textoEsp = (TextView) itemView.findViewById(R.id.palabraE);
        textoCor = (TextView) itemView.findViewById(R.id.palabraC);
        interrog = (TextView) itemView.findViewById(R.id.interrog);
       
        // es posa al textView la paraula de la posició de l'array en que ens trobem
        textoEsp.setText(palabraE[position]);
        textoCor.setText(palabraC[position]);
        interrog.setText(interrogantes[position]);
 
        Button b = (Button)itemView.findViewById(R.id.button1);
        
        //en clickar el botó s'intercanvia la visualització entre l'interrogant y la paraula coreana
        b.setOnClickListener(new OnClickListener(){
			public void onClick(View v) {
				if (textoCor.getVisibility() == View.INVISIBLE){ //si el textView que conté la paraula coreana no és visible
    				textoCor.setVisibility(View.VISIBLE);		//es fa visible
    				interrog.setVisibility(View.INVISIBLE);		//s'oculta l'interrogant
    			}else{
    				textoCor.setVisibility(View.INVISIBLE);		//en cas contrari, s'oculta el textview amb la paraula coreana
    				interrog.setVisibility(View.VISIBLE);		//es mostra l'interrogant
    			}
         	}
        });
        
        ((ViewPager) container).addView(itemView);

		return itemView;

        
    }
    
    
 
    @Override
    public void destroyItem(ViewGroup container, int position, Object object) {
        ((ViewPager) container).removeView((RelativeLayout) object);
 
    }


}